%define upstream_name    ParseTemplate
%define upstream_version 3.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Processor for templates containing Perl expressions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

%description
The 'Parse::Template' class evaluates Perl expressions placed within a
text. This class can be used as a code generator, or a generator of
documents in various document formats (HTML, XML, RTF, etc.).

The principle of template-based text generation is simple. A template
consists of a text which includes expressions to be evaluated.
Interpretation of these expressions generates text fragments which are
substituted in place of the expressions. In the case of 'Parse::Template'
the expressions to be evaluated are Perl expressions placed within two
'%%'.

Evaluation takes place within an environment in which, for example, you can
place data structures which will serve to generate the parts to be
completed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 3.80.0-11.mga9
+ Revision: 1805048
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.80.0-10.mga8
+ Revision: 1496399
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 3.80.0-9.mga7
+ Revision: 1270457
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 3.80.0-8.mga6
+ Revision: 1031790
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 3.80.0-7.mga6
+ Revision: 949480
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 3.80.0-6.mga5
+ Revision: 789738
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3.80.0-5.mga5
+ Revision: 746720
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.80.0-4.mga5
+ Revision: 685904
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.80.0-3.mga4
+ Revision: 514073
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.80.0-2.mga3
+ Revision: 371555
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 3.80.0-1.mga2
+ Revision: 218787
- update to 3.08

* Thu Jan 20 2011 jquelin <jquelin> 3.70.0-1.mga1
+ Revision: 26830
- mageia rebuild
- imported package perl-ParseTemplate

